Ubuntu

8086:4238 [HP EliteBook 8540w] wifi led indicator blinks

Reported by Pawel Kot on 2011-06-11
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

I do not know if it makes any harm, but after connecting to wifi accesspoint the wifi led indicator blinks (red-blue) instead of having instant blue. When it is disabled it is constant red. Under Windows it is blue all the time when connected.

The following lines about wifi can be found in dmesg:

[ 17.328753] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, in-tree:
[ 17.328756] iwlagn: Copyright(c) 2003-2010 Intel Corporation
[ 17.328830] iwlagn 0000:44:00.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[ 17.328839] iwlagn 0000:44:00.0: setting latency timer to 64
[ 17.328873] iwlagn 0000:44:00.0: Detected Intel(R) Centrino(R) Ultimate-N 6300 AGN, REV=0x74
[ 17.345241] iwlagn 0000:44:00.0: device EEPROM VER=0x436, CALIB=0x6
[ 17.345244] iwlagn 0000:44:00.0: Device SKU: 0Xb
[ 17.345246] iwlagn 0000:44:00.0: Valid Tx ant: 0X7, Valid Rx ant: 0X7
[ 17.347634] iwlagn 0000:44:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[ 17.347717] iwlagn 0000:44:00.0: irq 48 for MSI/MSI-X
[ 17.416111] iwlagn 0000:44:00.0: loaded firmware version 9.221.4.1 build 25532
[ 17.416362] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 17.424545] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[ 34.341098] wlan0: authenticate with 00:25:9c:d6:94:18 (try 1)
[ 34.534824] wlan0: authenticate with 00:25:9c:d6:94:18 (try 2)
[ 34.535991] wlan0: authenticated
[ 34.536369] wlan0: associate with 00:25:9c:d6:94:18 (try 1)
[ 34.537228] wlan0: RX AssocResp from 00:25:9c:d6:94:18 (capab=0x11 status=0 aid=1)
[ 34.537234] wlan0: associated
[ 34.543076] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[ 34.568857] padlock_aes: VIA PadLock not detected.
[ 60.576925] iwlagn 0000:44:00.0: iwlagn_tx_agg_start on ra = 00:25:9c:d6:94:18 tid = 0

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-8-generic 2.6.38-8.42
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: pkot 1530 F.... pulseaudio
CRDA: Error: [Errno 2] Nie ma takiego pliku ani katalogu
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd7520000 irq 49'
   Mixer name : 'IDT 92HD75B3X5'
   Components : 'HDA:111d7603,103c1521,00100202 HDA:11c11040,103c3066,00100200'
   Controls : 19
   Simple ctrls : 13
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xd3000000 irq 16'
   Mixer name : 'Nvidia GPU 0a HDMI/DP'
   Components : 'HDA:10de000a,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
Date: Sat Jun 11 19:51:53 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MachineType: Hewlett-Packard HP EliteBook 8540w
PccardctlIdent:
 Socket 0:
   product info: "RICOH", "Bay8Controller", "", ""
   manfid: 0x0000, 0x0000
   function: 254 (unknown)
PccardctlStatus:
 Socket 0:
   3.3V 16-bit PC Card
   Subdevice 0 (function 0) bound to driver "pata_pcmcia"
ProcEnviron:
 LANGUAGE=pl_PL:en
 PATH=(custom, user)
 LANG=pl_PL.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=e1ae4207-8aba-4238-b680-459cfadf7b6d ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: Upgraded to natty on 2011-05-14 (27 days ago)
dmi.bios.date: 11/25/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68CVD Ver. F.0E
dmi.board.name: 1521
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 32.33
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68CVDVer.F.0E:bd11/25/2010:svnHewlett-Packard:pnHPEliteBook8540w:pvr:rvnHewlett-Packard:rn1521:rvrKBCVersion32.33:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP EliteBook 8540w
dmi.sys.vendor: Hewlett-Packard

Pawel Kot (gnokii) wrote :
Brad Figg (brad-figg) on 2011-06-11
Changed in linux (Ubuntu):
status: New → Confirmed
Thomas Wagner (tomas-wagner) wrote :

To repair this bug follow these steps:

sudo nano /etc/modprobe.d/iwlwifi.conf

and paste

options iwlwifi led_mode=1

and reboot or unload module with

sudo modprobe -r iwlwifi
and reload with
sudo modprobe iwlwifi
Worked for me on Ubuntu 12.04, on HP 8540w.

Pawel Kot, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bios-outdated-f.0f needs-upstream-testing
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
summary: - wifi led indicator blinks
+ 8086:4238 [HP EliteBook 8540w] wifi led indicator blinks
Mark (markcortbass) wrote :

I confirm that this bug is fixed. I have an older HP Elitebook 8530W. But I had the same issue. It's fixed in Ubuntu 12.04.3 LTS and newer

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.